<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>NoiseFilter (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NoiseFilter (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/mask/MaskUnion2D.html" title="class in com.sk89q.worldedit.function.mask"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter2D.html" title="class in com.sk89q.worldedit.function.mask"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/mask/NoiseFilter.html" target="_top">Frames</a></li>
<li><a href="NoiseFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.mask</div>
<h2 title="Class NoiseFilter" class="title">Class NoiseFilter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/function/mask/AbstractMask.html" title="class in com.sk89q.worldedit.function.mask">com.sk89q.worldedit.function.mask.AbstractMask</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.mask.NoiseFilter</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">NoiseFilter</span>
extends <a href="../../../../../com/sk89q/worldedit/function/mask/AbstractMask.html" title="class in com.sk89q.worldedit.function.mask">AbstractMask</a></pre>
<div class="block">A mask that uses a noise generator and returns true whenever the noise
 generator returns a value above the given density.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html#NoiseFilter-com.sk89q.worldedit.math.noise.NoiseGenerator-double-">NoiseFilter</a></span>(<a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a>&nbsp;noiseGenerator,
           double&nbsp;density)</code>
<div class="block">Create a new noise filter.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html#getDensity--">getDensity</a></span>()</code>
<div class="block">Get the probability of passing as a number between 0 and 1 (inclusive).</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html#getNoiseGenerator--">getNoiseGenerator</a></span>()</code>
<div class="block">Get the noise generator.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html#setDensity-double-">setDensity</a></span>(double&nbsp;density)</code>
<div class="block">Set the probability of passing as a number between 0 and 1 (inclusive).</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html#setNoiseGenerator-com.sk89q.worldedit.math.noise.NoiseGenerator-">setNoiseGenerator</a></span>(<a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a>&nbsp;noiseGenerator)</code>
<div class="block">Set the noise generator.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html#test-com.sk89q.worldedit.math.BlockVector3-">test</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;vector)</code>
<div class="block">Returns true if the criteria is met.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/mask/Mask2D.html" title="interface in com.sk89q.worldedit.function.mask">Mask2D</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter.html#toMask2D--">toMask2D</a></span>()</code>
<div class="block">Get the 2D version of this mask if one exists.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NoiseFilter-com.sk89q.worldedit.math.noise.NoiseGenerator-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NoiseFilter</h4>
<pre>public&nbsp;NoiseFilter(<a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a>&nbsp;noiseGenerator,
                   double&nbsp;density)</pre>
<div class="block">Create a new noise filter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>noiseGenerator</code> - the noise generator</dd>
<dd><code>density</code> - the density</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNoiseGenerator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNoiseGenerator</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a>&nbsp;getNoiseGenerator()</pre>
<div class="block">Get the noise generator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the noise generator</dd>
</dl>
</li>
</ul>
<a name="setNoiseGenerator-com.sk89q.worldedit.math.noise.NoiseGenerator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoiseGenerator</h4>
<pre>public&nbsp;void&nbsp;setNoiseGenerator(<a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a>&nbsp;noiseGenerator)</pre>
<div class="block">Set the noise generator.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>noiseGenerator</code> - a noise generator</dd>
</dl>
</li>
</ul>
<a name="getDensity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDensity</h4>
<pre>public&nbsp;double&nbsp;getDensity()</pre>
<div class="block">Get the probability of passing as a number between 0 and 1 (inclusive).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the density</dd>
</dl>
</li>
</ul>
<a name="setDensity-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDensity</h4>
<pre>public&nbsp;void&nbsp;setDensity(double&nbsp;density)</pre>
<div class="block">Set the probability of passing as a number between 0 and 1 (inclusive).</div>
</li>
</ul>
<a name="test-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>test</h4>
<pre>public&nbsp;boolean&nbsp;test(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;vector)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html#test-com.sk89q.worldedit.math.BlockVector3-">Mask</a></code></span></div>
<div class="block">Returns true if the criteria is met.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vector</code> - the vector to test</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the criteria is met</dd>
</dl>
</li>
</ul>
<a name="toMask2D--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toMask2D</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/mask/Mask2D.html" title="interface in com.sk89q.worldedit.function.mask">Mask2D</a>&nbsp;toMask2D()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html#toMask2D--">Mask</a></code></span></div>
<div class="block">Get the 2D version of this mask if one exists.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a 2D mask version or <code>null</code> if this mask can't be 2D</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/mask/MaskUnion2D.html" title="class in com.sk89q.worldedit.function.mask"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/mask/NoiseFilter2D.html" title="class in com.sk89q.worldedit.function.mask"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/mask/NoiseFilter.html" target="_top">Frames</a></li>
<li><a href="NoiseFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
